QXmpp: QXmppPubSubIq Class Reference

QXmpp Version:0.7.5

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Public Types | Public Member Functions | List of all members
QXmppPubSubIq Class Reference
Stanzas

The QXmppPubSubIq class represents an IQ used for the publish-subscribe mechanisms defined by XEP-0060: Publish-Subscribe. More...

`#include <QXmppPubSubIq.h>`

Inheritance diagram for QXmppPubSubIq:

## Public Types
enum | QueryType { AffiliationsQuery, DefaultQuery, ItemsQuery, PublishQuery, RetractQuery, SubscribeQuery, SubscriptionQuery, SubscriptionsQuery, UnsubscribeQuery }
| This enum is used to describe a publish-subscribe query type.
Public Types inherited from QXmppIq
enum | Type { Error = 0, Get, Set, Result }
| This enum describes the type of IQ. More...

## Public Member Functions
QXmppPubSubIq::QueryType | queryType () const
void | setQueryType (QXmppPubSubIq::QueryType queryType)
QString | queryJid () const
void | setQueryJid (const QString &jid)
QString | queryNode () const
void | setQueryNode (const QString &node)
QList< QXmppPubSubItem > | items () const
void | setItems (const QList< QXmppPubSubItem > &items)
QString | subscriptionId () const
void | setSubscriptionId (const QString &id)
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
virtual | ~QXmppStanza ()
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QString | to () const
void | setTo (const QString &)
QString | from () const
| Returns the stanza's sender JID.
void | setFrom (const QString &)
QString | id () const
| Returns the stanza's identifier.
void | setId (const QString &)
QString | lang () const
| Returns the stanza's language.
void | setLang (const QString &)
QXmppStanza::Error | error () const
| Returns the stanza's error.
void | setError (const QXmppStanza::Error &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)

## Detailed Description

The QXmppPubSubIq class represents an IQ used for the publish-subscribe mechanisms defined by XEP-0060: Publish-Subscribe.

## Member Function Documentation

QList< QXmppPubSubItem > QXmppPubSubIq::items | ( |  | ) | const

Returns the IQ's items.

QString QXmppPubSubIq::queryJid | ( |  | ) | const

Returns the JID being queried.

QString QXmppPubSubIq::queryNode | ( |  | ) | const

Returns the node being queried.

QXmppPubSubIq::QueryType QXmppPubSubIq::queryType | ( |  | ) | const

Returns the PubSub queryType for this IQ.

void QXmppPubSubIq::setItems | ( | const QList< QXmppPubSubItem > & | items | ) |

Sets the IQ's items.

Parameters

  items |

void QXmppPubSubIq::setQueryJid | ( | const QString & | queryJid | ) |

Sets the JID being queried.

Parameters

  queryJid |

void QXmppPubSubIq::setQueryNode | ( | const QString & | queryNode | ) |

Sets the node being queried.

Parameters

  queryNode |

void QXmppPubSubIq::setQueryType | ( | QXmppPubSubIq::QueryType | queryType | ) |

Sets the PubSub queryType for this IQ.

Parameters

  queryType |

void QXmppPubSubIq::setSubscriptionId | ( | const QString & | subscriptionId | ) |

Sets the subscription ID.

Parameters

  subscriptionId |

QString QXmppPubSubIq::subscriptionId | ( |  | ) | const

Returns the subscription ID.

The documentation for this class was generated from the following files:

- QXmppPubSubIq.h
- QXmppPubSubIq.cpp